Bug 90076 - glibc 2.3.2-27.9 update breaks recent CVS wine
Summary: glibc 2.3.2-27.9 update breaks recent CVS wine
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-02 02:07 UTC by Andrew Rechenberg
Modified: 2016-11-24 15:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 20:09:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GDB output and backtrace of /usr/bin/wine regedit (2.22 KB, text/plain)
2003-05-02 02:10 UTC, Andrew Rechenberg
no flags Details

Description Andrew Rechenberg 2003-05-02 02:07:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
After upgrading glibc from the stock Red Hat 9 version to 2.3.2-27.9, my wine
compiled from CVS dated 20030428 crashes with an unhandled exception.  When
running wine with gdb it shows a SIGSEGV in __pthread_internal_tsd_get() (see
attachment for backtrace).

Version-Release number of selected component (if applicable):
glibc-2.3.2-27.9

How reproducible:
Always

Steps to Reproduce:
1. Install Red Hat 9
2. Install my WINE CVS RPM or compile WINE from CVS
3. Run wine and it works
4. Upgrade glibc
5. Run wine with any program (e.g. regedit) and watch it crash
    

Actual Results:  err:seh unhandled exception and program SIGSEGV's

Expected Results:  It should work

Additional info:

My home workstation runs my WINE installation fine with glibc-2.3.2-11.9

Comment 1 Andrew Rechenberg 2003-05-02 02:10:40 UTC
Created attachment 91469 [details]
GDB output and backtrace of /usr/bin/wine regedit

Comment 2 Andrew Rechenberg 2003-05-05 14:58:12 UTC
I verified that this is a glibc problem.  I rolled back the glibc on my
workstation with 'rpm -Uvh --oldpackage' to the stock Red Hat 9 version
(glibc-2.3.2-11.9) and now my wine installation works.

Comment 3 Jakub Jelinek 2003-05-05 15:06:38 UTC
Why do you use LD_ASSUME_KERNEL=2.2.5? CVS Wine AFAIK should work with NPTL
if compiled for that, or at least you should be using LD_ASSUME_KERNEL=2.4.1.

Comment 4 Andrew Rechenberg 2003-05-05 16:48:24 UTC
>> Why do you use LD_ASSUME_KERNEL ...
        ^

Was that a typo?  Was that supposed to be "why don't" ?  

I don't use the LD_ASSUME_KERNEL variable.

My wine RPM was compiled with '--with-nptl' and it worked just fine without any
LD_ASSUME_KERNEL variables with glibc-2.3.2-11.9 (it's running right now without
that variable).  Wine only broke after updating glibc to 2.3.2-27.9

Comment 5 Ulrich Drepper 2003-10-03 08:43:48 UTC
Wine uses the C runtime in a very unclean way.  I depends on all kinds of
internals.  I think recent wine versions work with more recent glibc versions. 
Have you updated meanwhile?  Either glibc or wine.

Comment 6 Andrew Rechenberg 2003-10-03 12:16:41 UTC
I've updated to wine-20030618-1rh9winehq from http://prdownloads.sf.net/wine and
that has alleviated this issue.

Thanks for following up.  You can close this bug

Comment 7 Ulrich Drepper 2003-10-03 20:09:25 UTC
Fixed by new wine version.


Note You need to log in before you can comment on or make changes to this bug.